Page MenuHomePhabricator

[OpenMP] libomp: fix ittnotify stack stitching for teams construct
ClosedPublic

Authored by AndreyChurbanov on Feb 11 2021, 4:27 PM.

Details

Summary

Stitching id could be overridden causing reference of destroyed object when number of teams is 1.
The patch separates stitching id store location for teams and parallel nested in teams.

Diff Detail

Event Timeline

AndreyChurbanov requested review of this revision.Feb 11 2021, 4:27 PM
hbae accepted this revision.Feb 21 2021, 11:27 AM

LGTM

This revision is now accepted and ready to land.Feb 21 2021, 11:27 AM
This revision was landed with ongoing or failed builds.Feb 25 2021, 1:24 PM
This revision was automatically updated to reflect the committed changes.